package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Fxd;
import com.brilliance.isc.bo.Fxt;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * @program: isc-core
 * @ClassName: Fxdgrp
 * @description: fxdgrp bo
 * @author: huangshunlin
 * @create: 2024-10-09 11:23
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Fxdgrp extends AbstractCommonVo {

    private Fxd rec;

    private Fxt blk;

    private Fxacbs cbs;

    private PtsptaVo apl;

    private PtsptaVo act;

    private PtsptaVo age;

    private PtsptaVo acc;

    @Override
    public void reset() {
        super.reset();
        if (rec == null) {
            rec = new Fxd();
        }
        if (blk == null) {
            blk = new Fxt();
        }
        if (cbs == null) {
            cbs = new Fxacbs();
        }
        cbs.reset();
        if (apl == null) {
            apl = new PtsptaVo();
        }
        apl.reset();
        if (act == null) {
            act = new PtsptaVo();
        }
        act.reset();
        if (age == null) {
            age = new PtsptaVo();
        }
        age.reset();
        if (acc == null) {
            acc = new PtsptaVo();
        }
        acc.reset();

    }
}
